%nav.navbar.navbar-expand-lg.navbar-dark.bg-dark
  .container-fluid
    = link_to 'Nephilid', root_path, class: 'navbar-brand'
    %button.navbar-toggler{ toggle_switch_settings('navbar-content') }
      %span.navbar-toggler-icon
    .collapse.navbar-collapse#navbar-content
      %ul.navbar-nav.me-auto.mb-2.mb-lg-0
        %li.nav-item
          = link_to t('.home'), root_path, class: 'nav-link active'
        %li.nav-item
          = link_to t('.about_us'), about_path, class: 'nav-link'
        %li.nav-item
          = link_to t('DSA'), study_group_path, class: 'nav-link'

        - if user_signed_in?
          = link_to t('edit_profile'), edit_user_registration_path, class: 'nav-link'
          = link_to t('logout'), destroy_user_session_path, class: 'nav-link', method: :delete
        - else
          = link_to t('sign_up'), new_user_registration_path, class: 'nav-link'
          = link_to t('login'), new_user_session_path, class: 'nav-link'
      %ul.navbar-nav.mr-auto
        = render 'shared/change_locale'
